Subject: Re: bug#1215: 23.0.60; unibyte->multibyte conversion problem (in

From: Stefan Monnier <[email-masked]>
Date: Fri, 16 Jan 2009 15:56:44 -0500

> but according to raw-text-unix's description:

>   t -- raw-text-unix

>   Raw text, which means text contains random 8-bit codes.
>   Encoding text with this coding system produces the actual byte
>   sequence of the text in buffers and strings.  An exception is made for
>   eight-bit-control characters.  Each of them is encoded into a single
>   byte.

> you can save (almost) anything with it. What is the bug?

The bug is that you can currently save (almost) anything with it.  This is
due to historical reasons, where different notions of "no encoding" were
mixed up.  So on save, raw-text-unix behaves pretty much like
utf-8-mule under Emacs-23 and emacs-mule under Emacs-22.  On load, it
behaves pretty much like `binary'.

        Stefan